// This file is generated.

// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

package com.mapmyindia.mapmyindiagl;

import com.mapbox.geojson.Point;
import com.mapbox.mapboxsdk.geometry.LatLng;
import com.mapmyindia.sdk.plugin.annotation.Circle;
import com.mapmyindia.sdk.plugin.annotation.CircleManager;
import com.mapmyindia.sdk.plugin.annotation.CircleOptions;

class CircleBuilder implements CircleOptionsSink {
  private final CircleManager circleManager;
  private final CircleOptions circleOptions;

  CircleBuilder(CircleManager circleManager) {
    this.circleManager = circleManager;
    this.circleOptions = new CircleOptions();
  }

  Circle build() {
    return circleManager.create(circleOptions);
  }

  @Override
  public void setCircleRadius(float circleRadius) {
    circleOptions.circleRadius(circleRadius);
  }

  @Override
  public void setCircleColor(String circleColor) {
    circleOptions.circleColor(circleColor);
  }

  @Override
  public void setCircleBlur(float circleBlur) {
    circleOptions.circleBlur(circleBlur);
  }

  @Override
  public void setCircleOpacity(float circleOpacity) {
    circleOptions.circleOpacity(circleOpacity);
  }

  @Override
  public void setCircleStrokeWidth(float circleStrokeWidth) {
    circleOptions.circleStrokeWidth(circleStrokeWidth);
  }

  @Override
  public void setCircleStrokeColor(String circleStrokeColor) {
    circleOptions.circleStrokeColor(circleStrokeColor);
  }

  @Override
  public void setCircleStrokeOpacity(float circleStrokeOpacity) {
    circleOptions.circleStrokeOpacity(circleStrokeOpacity);
  }

  @Override
  public void setGeometry(LatLng geometry) {
    circleOptions.geometry(Point.fromLngLat(geometry.getLongitude(), geometry.getLatitude()));
  }

  @Override
  public void setDraggable(boolean draggable) {
    circleOptions.draggable(draggable);
  }
}