// This file is generated.

// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

package com.mapmyindia.mapmyindiagl;

import java.util.List;
import com.mapbox.geojson.Point;
import com.mapbox.mapboxsdk.geometry.LatLng;
import com.mapmyindia.sdk.plugin.annotation.Line;
import com.mapmyindia.sdk.plugin.annotation.LineManager;
import com.mapmyindia.sdk.plugin.annotation.LineOptions;

class LineBuilder implements LineOptionsSink {
  private final LineManager lineManager;
  private final LineOptions lineOptions;

  LineBuilder(LineManager lineManager) {
    this.lineManager = lineManager;
    this.lineOptions = new LineOptions();
  }

  Line build() {
    return lineManager.create(lineOptions);
  }

  @Override
  public void setLineJoin(String lineJoin) {
    lineOptions.lineJoin(lineJoin);
  }
  
  @Override
  public void setLineOpacity(float lineOpacity) {
    lineOptions.lineOpacity(lineOpacity);
  }
  
  @Override
  public void setLineColor(String lineColor) {
    lineOptions.lineColor(lineColor);
  }

  @Override
  public void setLineWidth(float lineWidth) {
    lineOptions.lineWidth(lineWidth);
  }

  @Override
  public void setLineGapWidth(float lineGapWidth) {
    lineOptions.lineGapWidth(lineGapWidth);
  }

  @Override
  public void setLineOffset(float lineOffset) {
    lineOptions.lineOffset(lineOffset);
  }

  @Override
  public void setLineBlur(float lineBlur) {
    lineOptions.lineBlur(lineBlur);
  }

  @Override
  public void setLinePattern(String linePattern) {
    lineOptions.linePattern(linePattern);
  }
  
  @Override
  public void setGeometry(List<LatLng> geometry) {
    lineOptions.points(geometry);
  }

  @Override
  public void setDraggable(boolean draggable) {
    lineOptions.draggable(draggable);
  }
}