// This file is generated.

// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

package com.mapmyindia.mapmyindiagl;

import android.graphics.Bitmap;

import com.mapbox.geojson.Point;
import com.mapbox.mapboxsdk.geometry.LatLng;
import com.mapbox.mapboxsdk.maps.MapboxMap;
import com.mapmyindia.sdk.plugin.annotation.SymbolOptions;

class SymbolBuilder implements SymbolOptionsSink {
  private final SymbolOptions symbolOptions;
  private static boolean customImage;
  private MapboxMap mapboxMap;

  SymbolBuilder(MapboxMap mapboxMap) {
    this.symbolOptions = new SymbolOptions();
    this.mapboxMap = mapboxMap;
  }

  public SymbolOptions getSymbolOptions(){
    return this.symbolOptions;
  }

  @Override
  public void setIconSize(float iconSize) {
    symbolOptions.iconSize(iconSize);
  }

  @Override
  public void setIconImage(String iconImage) {
    if(iconImage != null) {
      Bitmap icon = mapboxMap.getImage(iconImage);
      symbolOptions.icon(icon);
    }
  }

  @Override
  public void setIconRotate(float iconRotate) {
    symbolOptions.iconRotate(iconRotate);
  }

  @Override
  public void setIconOffset(float[] iconOffset) {
    symbolOptions.iconOffset(new Float[] {iconOffset[0], iconOffset[1]});
  }

  @Override
  public void setIconAnchor(String iconAnchor) {
    symbolOptions.iconAnchor(iconAnchor);
  }

  @Override
  public void setTextField(String textField) {
    symbolOptions.textField(textField);
  }

  @Override
  public void setTextSize(float textSize) {
    symbolOptions.textSize(textSize);
  }

  @Override
  public void setTextMaxWidth(float textMaxWidth) {
    symbolOptions.textMaxWidth(textMaxWidth);
  }

  @Override
  public void setTextLetterSpacing(float textLetterSpacing) {
    symbolOptions.textLetterSpacing(textLetterSpacing);
  }

  @Override
  public void setTextJustify(String textJustify) {
    symbolOptions.textJustify(textJustify);
  }

  @Override
  public void setTextAnchor(String textAnchor) {
    symbolOptions.textAnchor(textAnchor);
  }

  @Override
  public void setTextRotate(float textRotate) {
    symbolOptions.textRotate(textRotate);
  }

  @Override
  public void setTextTransform(String textTransform) {
    symbolOptions.textTransform(textTransform);
  }

  @Override
  public void setTextOffset(float[] textOffset) {
    symbolOptions.textOffset(new Float[] {textOffset[0], textOffset[1]});
  }

  @Override
  public void setIconOpacity(float iconOpacity) {
    symbolOptions.iconOpacity(iconOpacity);
  }

  @Override
  public void setIconColor(String iconColor) {
    symbolOptions.iconColor(iconColor);
  }

  @Override
  public void setIconHaloColor(String iconHaloColor) {
    symbolOptions.iconHaloColor(iconHaloColor);
  }

  @Override
  public void setIconHaloWidth(float iconHaloWidth) {
    symbolOptions.iconHaloWidth(iconHaloWidth);
  }

  @Override
  public void setIconHaloBlur(float iconHaloBlur) {
    symbolOptions.iconHaloBlur(iconHaloBlur);
  }

  @Override
  public void setTextOpacity(float textOpacity) {
    symbolOptions.textOpacity(textOpacity);
  }

  @Override
  public void setTextColor(String textColor) {
    symbolOptions.textColor(textColor);
  }

  @Override
  public void setTextHaloColor(String textHaloColor) {
    symbolOptions.textHaloColor(textHaloColor);
  }

  @Override
  public void setTextHaloWidth(float textHaloWidth) {
    symbolOptions.textHaloWidth(textHaloWidth);
  }

  @Override
  public void setTextHaloBlur(float textHaloBlur) {
    symbolOptions.textHaloBlur(textHaloBlur);
  }

  @Override
  public void setGeometry(LatLng geometry) {
    symbolOptions.geometry(Point.fromLngLat(geometry.getLongitude(), geometry.getLatitude()));
  }

  @Override
  public void setSymbolSortKey(float symbolSortKey) {
//    symbolOptions.withSymbolSortKey(symbolSortKey);
  }

  @Override
  public void setDraggable(boolean draggable) {
    symbolOptions.draggable(draggable);
  }

  public boolean getCustomImage() { 
    return this.customImage;
  }
}